Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 21/02/2013, à 18:41

nico1519

Installation de LinuxCNC sans ré-installer Ubuntu ( résolu )

Bonjour,

j'essaie d'installer LinuxCNC dans ma machine Ubuntu Lucid( donc sans ré-installer Ubuntu). J'exécute le script emc2-install.sh comme indiqué sur le site LinuxCNC, j'obtiens ceci :

gpg: requête de la clé BC92B87F du serveur hkp pgpkeys.mit.edu
gpgkeys: key BC92B87F not found on keyserver
gpg: aucune donnée OpenPGP valide n'a été trouvée.
gpg: Quantité totale traitée: 0
OK
Atteint http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ lucid/main Translation-fr 
Atteint http://ppa.launchpad.net lucid Release.gpg                             
Atteint http://archive.canonical.com lucid Release.gpg                         
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-fr          
Ign http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu/ lucid/main Translation-fr
Atteint http://ppa.launchpad.net lucid Release                                 
Atteint http://fr.archive.ubuntu.com lucid Release.gpg                         
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr         
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr   
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-fr   
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/universe Translation-fr     
Réception de : 1 http://fr.archive.ubuntu.com lucid-updates Release.gpg [198B] 
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-fr 
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-fr
Atteint http://archive.canonical.com lucid Release                             
Réception de : 2 http://security.ubuntu.com lucid-security Release.gpg [198B]  
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-fr      
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-fr  
Atteint http://ppa.launchpad.net lucid Release                                 
Atteint http://fr.archive.ubuntu.com lucid Release                             
Réception de : 3 http://fr.archive.ubuntu.com lucid-updates Release [58,3kB]   
Atteint http://ppa.launchpad.net lucid/main Packages                           
Atteint http://archive.canonical.com lucid/partner Packages                    
Atteint http://ppa.launchpad.net lucid/main Packages                           
Réception de : 4 http://security.ubuntu.com lucid-security Release [57,3kB]    
Atteint http://www.linuxcnc.org breezy Release.gpg                             
Ign http://www.linuxcnc.org/emc2/ breezy/emc2.1 Translation-fr                 
Atteint http://www.linuxcnc.org breezy Release                                 
Atteint http://fr.archive.ubuntu.com lucid/main Packages                       
Atteint http://fr.archive.ubuntu.com lucid/restricted Packages                 
Atteint http://fr.archive.ubuntu.com lucid/multiverse Packages                 
Atteint http://fr.archive.ubuntu.com lucid/main Sources                        
Atteint http://fr.archive.ubuntu.com lucid/restricted Sources                  
Atteint http://fr.archive.ubuntu.com lucid/universe Packages                   
Atteint http://fr.archive.ubuntu.com lucid/universe Sources                    
Réception de : 5 http://fr.archive.ubuntu.com lucid-updates/main Packages [668kB]
Atteint http://www.linuxcnc.org breezy/emc2.1 Packages                         
Atteint http://www.linuxcnc.org breezy/emc2.1 Sources                          
Réception de : 6 http://security.ubuntu.com lucid-security/main Packages [473kB]
Réception de : 7 http://fr.archive.ubuntu.com lucid-updates/restricted Packages [4 630B]
Réception de : 8 http://fr.archive.ubuntu.com lucid-updates/multiverse Packages [11,4kB]
Réception de : 9 http://fr.archive.ubuntu.com lucid-updates/main Sources [234kB]
Réception de : 10 http://fr.archive.ubuntu.com lucid-updates/restricted Sources [2 196B]
Réception de : 11 http://fr.archive.ubuntu.com lucid-updates/universe Packages [290kB]
Réception de : 12 http://security.ubuntu.com lucid-security/restricted Packages [2 867B]
Réception de : 13 http://security.ubuntu.com lucid-security/multiverse Packages [5 369B]
Réception de : 14 http://security.ubuntu.com lucid-security/main Sources [135kB]
Réception de : 15 http://security.ubuntu.com lucid-security/restricted Sources [1 267B]
Réception de : 16 http://security.ubuntu.com lucid-security/universe Packages [143kB]
Réception de : 17 http://fr.archive.ubuntu.com lucid-updates/universe Sources [108kB]
Réception de : 18 http://security.ubuntu.com lucid-security/universe Sources [44,4kB]
2 239ko réceptionnés en 9s (237ko/s)                                           
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
  emc2: Dépend: python2.4-numarray mais il n'est pas installable
        Dépend: python2.4-imaging mais il n'est pas installable
        Dépend: python2.4-imaging-tk mais ne sera pas installé
        Dépend: python (< 2.5) mais 2.6.5-0ubuntu1 devra être installé
        Dépend: python (< 2.5) mais 2.6.5-0ubuntu1 devra être installé
        Dépend: bwidget (< 1.8) mais 1.9.0-2 devra être installé
        Dépend: python2.4-tk mais il n'est pas installable
        Dépend: python2.4-xml mais il n'est pas installable
E: Paquets défectueux

Que faut-il que je fasse ?

Merci pour vos réponses.

Dernière modification par nico1519 (Le 24/02/2013, à 10:17)

Hors ligne

#2 Le 24/02/2013, à 10:17

nico1519

Re : Installation de LinuxCNC sans ré-installer Ubuntu ( résolu )

En fait, il faut autoriser le chargement de paquets non-authentifiés pour que l'installation s'effectue correctement.

Hors ligne

#3 Le 16/05/2013, à 13:45

L_d_v_c@

Re : Installation de LinuxCNC sans ré-installer Ubuntu ( résolu )

Bonjour,
voici une modification du script à exécuter pour installer CNC sur 12.04 :

#!/bin/sh

gksudo -m "Enter your password to install EMC2" true
gpg --keyserver pgpkeys.mit.edu --recv-key 3CB9FD148F374FEF
gpg -a --export 3CB9FD148F374FEF | sudo apt-key add -

grep -q emc2 /etc/apt/sources.list || sudo sh -c 'echo "deb http://www.linuxcnc.org/emc2/ precise linuxcnc2.5-sim" >>/etc/apt/sources.list; echo "deb-src http://www.linuxcnc.org/emc2/ precise linuxcnc2.5-sim" >>/etc/apt/sources.list'
sudo apt-get update
sudo apt-get install linuxcnc-sim

PS : j'ai bidouillé comme je peux, normalement ça fonctionne.


Ubuntu 14.04 sur 1001HA / Ubuntu 12.04 E6600 et K50IE
M.A.O. UbuntuStudio 12.04 sur Tyan S2915E RAID 5
Pourquoi Linux.
Bug -1 : Derrière chaque bogue se cache constamment la faille humaine !

Hors ligne

#4 Le 20/05/2014, à 13:33

Uriel77

Re : Installation de LinuxCNC sans ré-installer Ubuntu ( résolu )

Bonjour !

Je t'aime mon gars big_smile big_smile big_smile
J'avais le même problème que nico1519 !!!
Je suis sous Xubuntu 10.04 (et je suis trop content, c'est carrément mieux qu'un Ubuntu récent pour un nouveau comme moi !!)

J'ai fait le code de L_d_v_c@ ça ne marchais pas parce que je n'avais pas installé linuxcnc-sim.
J'ai donc envoyé :

  wget http://www.linuxcnc.org/lucid/dists/lucid/linuxcnc2.5-sim/binary-i386/linuxcnc-sim_2.5.1_i386.deb
  sudo dpkg -i linuxcnc-sim*.deb
  sudo apt-get -f install 

Puis renvoyé le code et ça maaaarche !! Haha, ça fait trois jours que j'essaye d'installer EMC2 !!

Tu peux pas savoir comme je suis heureux ! roll;)
Aller, reconnaissance éternelle !!

♥♥♥

Uriel

Dernière modification par Uriel77 (Le 20/05/2014, à 13:35)

Hors ligne

#5 Le 20/05/2014, à 14:05

L_d_v_c@

Re : Installation de LinuxCNC sans ré-installer Ubuntu ( résolu )

Bonjour Uriel77 (sous 10.04 ? ), en effet, le script que j'ai fait allant chercher le programme pour 12.04, ça coince avec 10.04 … (obligatoirement wink )


Ubuntu 14.04 sur 1001HA / Ubuntu 12.04 E6600 et K50IE
M.A.O. UbuntuStudio 12.04 sur Tyan S2915E RAID 5
Pourquoi Linux.
Bug -1 : Derrière chaque bogue se cache constamment la faille humaine !

Hors ligne

Haut de page ↑